Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.spi
Class ImageTagRegistry

    java.lang.Object
      org.apache.batik.ext.awt.image.spi.ImageTagRegistry

All Implemented Interfaces:
  ErrorConstants

    public class ImageTagRegistry

extends Object
implements ErrorConstants

This class handles the registered Image tag handlers. These are instances of RegistryEntry in this package.

Field Summary

Fields inherited from interface org.apache.batik.ext.awt.image.spi.ErrorConstants
`ERR_STREAM_FORMAT_UNREADABLE, ERR_STREAM_UNREADABLE, ERR_URL_FORMAT_UNREADABLE, ERR_URL_UNINTERPRETABLE, ERR_URL_UNREACHABLE, RESOURCES`

Constructor Summary
`ImageTagRegistry()`
`ImageTagRegistry(URLImageCache rawCache, URLImageCache imgCache)`

Method Summary
`Filter` | `checkCache(ParsedURL purl, ICCColorSpaceExt colorSpace)`
`void` | `flushCache()` Removes all decoded raster images from the cache.
`void` | `flushImage(ParsedURL purl)` Removes the given URL from the cache.
`static Filter` | `getBrokenLinkImage(Object base, String code, Object[] params)`
`List` | `getRegisteredExtensions()` Returns a List that contains String of all the extensions that can be handleded by the various registered image format handlers.
`List` | `getRegisteredMimeTypes()` Returns a List that contains String of all the mime types that can be handleded by the various registered image format handlers.
`static ImageTagRegistry` | `getRegistry()`
`Filter` | `readStream(InputStream is)`
`Filter` | `readStream(InputStream is, ICCColorSpaceExt colorSpace)`
`Filter` | `readURL(InputStream is, ParsedURL purl, ICCColorSpaceExt colorSpace, boolean allowOpenStream, boolean returnBrokenLink)`
`Filter` | `readURL(ParsedURL purl)`
`Filter` | `readURL(ParsedURL purl, ICCColorSpaceExt colorSpace)`
`void` | `register(RegistryEntry newRE)`
`static void` | `setBrokenLinkProvider(BrokenLinkProvider provider)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageTagRegistry

    public ImageTagRegistry()

### ImageTagRegistry

    public ImageTagRegistry(URLImageCache rawCache,
                            URLImageCache imgCache)

Method Detail

### flushCache

    public void flushCache()

  Removes all decoded raster images from the cache. All Images will be reloaded from the original source if decoded again.

### flushImage

    public void flushImage(ParsedURL purl)

  Removes the given URL from the cache. Only the Image associated with that URL will be removed from the cache.

### checkCache

    public Filter checkCache(ParsedURL purl,
                             ICCColorSpaceExt colorSpace)

### readURL

    public Filter readURL(ParsedURL purl)

### readURL

    public Filter readURL(ParsedURL purl,
                          ICCColorSpaceExt colorSpace)

### readURL

    public Filter readURL(InputStream is,
                          ParsedURL purl,
                          ICCColorSpaceExt colorSpace,
                          boolean allowOpenStream,
                          boolean returnBrokenLink)

### readStream

    public Filter readStream(InputStream is)

### readStream

    public Filter readStream(InputStream is,
                             ICCColorSpaceExt colorSpace)

### register

    public void register(RegistryEntry newRE)

### getRegisteredExtensions

    public List getRegisteredExtensions()

  Returns a List that contains String of all the extensions that can be handleded by the various registered image format handlers.

### getRegisteredMimeTypes

    public List getRegisteredMimeTypes()

  Returns a List that contains String of all the mime types that can be handleded by the various registered image format handlers.

### getRegistry

    public static ImageTagRegistry getRegistry()

### getBrokenLinkImage

    public static Filter getBrokenLinkImage(Object base,
                                            String code,
                                            Object[] params)

### setBrokenLinkProvider

    public static void setBrokenLinkProvider(BrokenLinkProvider provider)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.